Skip to main content
PUT
/
v0
/
cards
/
{card_id}
/
funding
Update Card Funding
curl --request PUT \
  --url https://api.sumvin.com/v0/cards/{card_id}/funding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_type": "wallet",
  "wallet_address": "<string>",
  "wallet_chain_id": 123,
  "fiat_account_id": "<string>"
}
'
{
  "_links": {},
  "id": "<string>",
  "source_type": "<string>",
  "wallet_address": "<string>",
  "fiat_account_id": "<string>",
  "configured": false,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

JWT token from Authorization header (Bearer token)

Headers

x-juno-orgid
string | null

Tenant org ID for multi-tenant auth

x-juno-jwt
string | null

JWT token from x-juno-jwt header

Path Parameters

card_id
string
required

Body

application/json
source_type
enum<string>
required
Available options:
wallet,
fiat
wallet_address
string | null
wallet_chain_id
integer | null
fiat_account_id
string | null

Response

Funding configuration updated

HAL-style hypermedia links for navigation and available actions.

id
string
required
source_type
string | null
wallet_address
string | null
fiat_account_id
string | null
configured
boolean
default:false
message
string | null